Loading...
Searching...
No Matches
Opm::EquilInitializer< TypeTag > Class Template Reference

Computes the initial condition based on the EQUIL keyword from ECL. More...

`#include <EquilInitializer.hpp>`

## Public Types

using | ScalarFluidState

## Public Member Functions

template<class EclMaterialLawManager>
| EquilInitializer (const Simulator &simulator, EclMaterialLawManager &materialLawManager)
const ScalarFluidState & | initialFluidState (unsigned elemIdx) const
| Return the initial thermodynamic state which should be used as the initial condition.

## Protected Attributes

const Simulator & | simulator_
std::vector< ScalarFluidState > | initialFluidStates_

## Detailed Description

template<class TypeTag>
class Opm::EquilInitializer< TypeTag >

Computes the initial condition based on the EQUIL keyword from ECL.

So far, it uses the "initStateEquil()" function from opm-core. Since this method is very much glued into the opm-core data structures, it should be reimplemented in the medium to long term for some significant memory savings and less significant performance improvements.

## Member Typedef Documentation

## ScalarFluidState

template<class TypeTag>

using Opm::EquilInitializer< TypeTag >::ScalarFluidState

Initial value:
BlackOilFluidState<Scalar,
FluidSystem,
enableTemperature,
enableEnergy,
enableDissolution,
enableVapwat,
enableBrine,
enableSaltPrecipitation,
enableDisgasInWater,
Indices::numPhases>

## Member Function Documentation

## initialFluidState()

template<class TypeTag>

const ScalarFluidState & Opm::EquilInitializer< TypeTag >::initialFluidState | ( | unsigned | elemIdx | ) | const

inline

Return the initial thermodynamic state which should be used as the initial condition.

This is supposed to correspond to hydrostatic conditions.

The documentation for this class was generated from the following file:

- opm/simulators/flow/EquilInitializer.hpp